Skip to main content
GET
/
v1.0
/
distributor
/
subscriptions
cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor/subscriptions?Filter=Active' \
  -H 'Authorization: Bearer YOUR_TOKEN'
{
  "DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
  "TotalSubscriptions": 1,
  "Filter": "Active",
  "Results": [
    {
      "SubscriptionId": "SUB-ef84c0b5-d750-4a5a-99b1-4705089cd20c",
      "SubscriberId": "SID-d7b3-4696-bdd9-5b407d9e99ee-3985-444b8d",
      "TNID": "NID-B5B67F02-708A-1851-20DF-61FC1919C4F6",
      "ICCID": "8901240397190002080",
      "PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
      "Type": "Voip 1",
      "Active": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter the token obtained from the Authentication endpoint

Query Parameters

Filter
enum<string>

Filter subscriptions by status

Available options:
All,
Active,
Inactive

Response

200 - application/json

Subscriptions Retrieved

The response is of type object.